IFAPI_Entity_ChangeAuth Struct Reference

`#include <fapi_int.h>`

## Data Fields

const char * | entityPath
ESYS_TR | handle
IFAPI_OBJECT * | key_object
const char * | authValue
TPM2B_AUTH | newAuthValue
TPM2B_PRIVATE * | newPrivate
IFAPI_OBJECT | object
IFAPI_OBJECT | hiearchy_object
ESYS_TR | nv_index
ESYS_TR | hierarchy_handle
char ** | pathlist
size_t | numPaths
size_t | numPathsCleanup

## Detailed Description

The data structure holding internal state of Fapi_ChangeAuth.

## Field Documentation

## authValue

const char* authValue

The new auth value

## entityPath

const char* entityPath

The implicit key path

## handle

ESYS_TR handle

The ESYS handle of the key

## hiearchy_object

IFAPI_OBJECT hiearchy_object

Used for copying a hierarchy

## hierarchy_handle

ESYS_TR hierarchy_handle

NV handle of the hierarchy to be changed

## key_object

IFAPI_OBJECT* key_object

The IPAPI object of the key

## newAuthValue

TPM2B_AUTH newAuthValue

The new auth value

## newPrivate

TPM2B_PRIVATE* newPrivate

New private data created by parend

## numPaths

size_t numPaths

Size of array with all keystore objects

## numPathsCleanup

size_t numPathsCleanup

Size of array with all keystore objects

## nv_index

ESYS_TR nv_index

NV handle of the object to be changed

## object

IFAPI_OBJECT object

Deserialized NV object or hierarchy

## pathlist

char** pathlist

The array with all keystore objects

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_int.h